<?php
/*
 * Tutorial: How to Enable Automatic Updates for a Theme in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/how-to-enable-automatic-updates-for-a-theme-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Problem
 * ---------------------------------------------------------------------------*/

// Enable automatic updates for all themes
add_filter('auto_update_theme', '__return_true');

/* -----------------------------------------------------------------------------
 * - Exception
 * ---------------------------------------------------------------------------*/

/*
 * Enables automatic updates for specific themes.
 */
function ns_auto_update_specific_themes($update, $theme){

    $allowed = array('theme-1', 'theme-2', 'theme-3');
    return in_array($theme->slug, $allowed) ? true : $update;
}
add_filter('auto_update_theme', 'ns_auto_update_specific_themes', 10, 2);